from plotting import *

#a typical Run (long and short term):
parameters = {"init_infected" : 0.0001,
            "beta" : 0.2,
            "gamma": 0.125,
            "severity" : 1,
            "bias" : 1} 

duration = 5000
params = vary_parameter(parameters, "severity", np.logspace(-1, 3, 15)) #np.logspace(-1, 3, 15)
print(all([is_valid(p) for p in params]))
evaluate_list(params, duration)
print([is_finished(p) for p in params])
plot(params, "severity")


plot_peak(params)
plot_final(params)
plot_welfare(params)